Subject: bug#27708: [PROPOSED] Simplify configuration of HAVE_GNUTLS3 etc.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Jul 2017 05:36:30 +0300

> Cc: [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Sat, 15 Jul 2017 17:31:58 -0700
> 
> http://www.gnutls.org/abi-tracker/timeline/gnutls/
> 
> I used that list, along with a copy of the GnuTLS development history, to come 
> up with the version numbers in the proposed patch.  The patch should not change 
> Emacs functionality at all: all it should do is simplify configuration (and make 
> 'configure' run a bit faster :-).

I didn't say your patch changed any functionality.  I'm saying that if
we want to allow as many of these APIs to be useful on as many
platforms, we need to do more work on the code.